> ## Documentation Index
> Fetch the complete documentation index at: https://docs.morphel.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Videos

> Get all videos



## OpenAPI

````yaml GET /v1/videos/
openapi: 3.1.0
info:
  title: Morphel API
  description: API for Morphel's video generation service
  version: 0.1.1
servers:
  - url: https://api.morphel.com
security: []
paths:
  /v1/videos/:
    get:
      tags:
        - videos-v1
      summary: List Videos
      description: Get all videos
      operationId: list_videos_v1_videos__get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/VideoResponse'
                type: array
                title: Response List Videos V1 Videos  Get
      security:
        - HTTPBearer: []
components:
  schemas:
    VideoResponse:
      properties:
        video_id:
          type: string
          title: Video Id
        status:
          type: string
          title: Status
        video_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Video Url
        thumbnail_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Thumbnail Url
        duration_seconds:
          anyOf:
            - type: number
            - type: 'null'
          title: Duration Seconds
        error:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Error
      type: object
      required:
        - video_id
        - status
      title: VideoResponse
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````